#include <stdint.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h>
#include <util/crc16.h>

#define HI8(x)  ((uint8_t)((x) >> 8))
#define LO8(x)  ((uint8_t)(x))

uint16_t eeprom_write_bytearray(uint8_t *, uint16_t, uint16_t);
uint16_t eeprom_read_bytearray(uint8_t *, uint16_t, uint16_t);
void eeprom_read_raw_bytearray(uint8_t *, uint16_t, uint16_t);


