#!/usr/bin/perl

$fmin = 433.0575;
$fmax = 434.79;
# Channeswidth in KHz
$step = 75;
#$step = 150;
#$step = 225;
#$step = 300;

$fmin = $fmin * 1000;
$fmax = $fmax * 1000;

$chan = 0;

for ($f = $fmin + ($step / 2); ($f + $step/2)< $fmax ; $f=$f + $step)
{
    $frequency = $f / 1000;
    $freq = (($f-430000)/2.5) ;
    $clow = ($f - ($step /2)) / 1000;
    $chigh = ($f + ($step /2)) / 1000;
    $chan++;

    $fstep = 32000000 / 2**19;
    $rfm69dec = int( ($f*1000) / $fstep);

    $rfm69 = $rfm69dec;

    $rfm69byte1 = $rfm69 & 255;
    $rfm69 = $rfm69 >> 8;
    $rfm69byte2 = $rfm69 & 255;
    $rfm69 = $rfm69 >> 8;
    $rfm69byte3 = $rfm69 & 255;

    #$rfm69kontroll = $rfm69byte3 * 65536 + $rfm69byte2 * 256 + $rfm69byte1;


    $out = sprintf("CH: %02d f0=%3.4f LO=%3.4f HI=%3.4f RFM12=%ld RFM69CW=%ld %d %d %d",$chan,$frequency,$clow,$chigh,$freq,$rfm69dec,$rfm69byte3,$rfm69byte2,$rfm69byte1);
    print "$out\n";

    #print "CH: $chan f0=$frequency LO: $clow HI: $chigh RFM12: $freq \n";
}

print "\n";

for ($f = $fmin + ($step / 2); ($f + $step/2)< $fmax ; $f=$f + $step)
{
    $frequency = $f / 1000;
    $freq = (($f-430000)/2.5) ;
    $clow = ($f - ($step /2)) / 1000;
    $chigh = ($f + ($step /2)) / 1000;
    $chan++;

    $fstep = 32000000 / 2**19;
    $rfm69dec = int( ($f*1000) / $fstep);

#    print "$freq,";
#    print "$rfm69dec,";
    print $f*1000 . ",";


}

print "\n";
